<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | GoogleAnalytics Plugin 1.2
// +---------------------------------------------------------------------------+
// | configuration_validation.php
// |
// | List of validation rules for the GoogleAnalytics plugin configurations
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2012 by the following authors:
// |
// | Authors: Hiroron               - hiroron AT hiroron DOT com
// +---------------------------------------------------------------------------+
// | 
// | This program is free software; you can redistribute it and/or
// | modify it under the terms of the GNU General Public License
// | as published by the Free Software Foundation; either version 2
// | of the License, or (at your option) any later version.
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// | 
// | You should have received a copy of the GNU General Public License
// | along with this program; if not, write to the Free Software Foundation,
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// | 
// +---------------------------------------------------------------------------+

if (strpos(strtolower($_SERVER['PHP_SELF']), 'configuration_validation.php') !== false) {
    die('This file can not be used on its own!');
}

// General GoogleAnalytics Settings
$_CONF_VALIDATE['googleanalytics']['gatrackingid'] = array('rule' => 'notEmpty');
$_CONF_VALIDATE['googleanalytics']['gatrackingid_mobile'] = array('rule' => 'notEmpty');
$_CONF_VALIDATE['googleanalytics']['asynchronous'] = array('rule' => 'boolean');
$_CONF_VALIDATE['googleanalytics']['nomobilebottracking'] = array('rule' => 'boolean');

// Mobile Bot GoogleAnalytics Settings
/*$_CONF_VALIDATE['googleanalytics']['mobilebotua'] = ?;*/

?>
