<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | GoogleAnalytics Plugin 1.2
// +---------------------------------------------------------------------------+
// | english_utf-8.php
// |
// | This file provides helper functions for the automatic plugin install. 
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2012 by the following authors:
// |
// | Authors: Hiroron               - hiroron AT hiroron DOT com
// +---------------------------------------------------------------------------+
// | 
// | This program is free software; you can redistribute it and/or
// | modify it under the terms of the GNU General Public License
// | as published by the Free Software Foundation; either version 2
// | of the License, or (at your option) any later version.
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// | 
// | You should have received a copy of the GNU General Public License
// | along with this program; if not, write to the Free Software Foundation,
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// | 
// +---------------------------------------------------------------------------+

global $LANG32;

/**
* the googleanalytics plugin's lang array
*
*/

// Messages for the plugin upgrade
$PLG_googleanalytics_MESSAGE3001 = 'Plugin upgrade not supported.';
$PLG_googleanalytics_MESSAGE3002 = $LANG32[9];


// Localization of the Admin Configuration UI
$LANG_configsections['googleanalytics'] = array(
    'label' => 'GoogleAnalytics',
    'title' => 'GoogleAnalytics Configuration'
);

$LANG_confignames['googleanalytics'] = array(
    'gatrackingid' => 'GoogleAnalytics Tracking ID',
    'gatrackingid_mobile' => 'Mobile GoogleAnalytics Tracking ID',
    'asynchronous' => 'Use Asynchronous tracking',
    'nomobilebottracking' => 'Ignore Mobile Crawlers',
    'mobiletheme' => 'Mobile Theme',
    'mobilebotua' => 'strings of mobile crawlers UA'
);

$LANG_configsubgroups['googleanalytics'] = array(
    'sg_main' => 'Main Settings'
);

$LANG_tab['googleanalytics'] = array(
    'tab_main' => 'GoogleAnalytics Main Settings',
    'tab_mobilebotua' => 'set strings of mobile crawlers UA'
);

$LANG_fs['googleanalytics'] = array(
    'fs_main' => 'GoogleAnalytics Main Settings',
    'fs_mobilebotua' => 'set strings of mobile crawlers UA'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['googleanalytics'] = array(
    0 => array('True' => 1, 'False' => 0),
    1 => array('True' => TRUE, 'False' => FALSE),
    12 => array('No access' => 0, 'Read-Only' => 2, 'Read-Write' => 3)
);

?>