<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | GoogleAnalytics Plugin 1.2
// +---------------------------------------------------------------------------+
// | japanese_utf-8.php
// |
// | This file provides helper functions for the automatic plugin install. 
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2013 by the following authors:
// |
// | Authors: Hiroron               - hiroron AT hiroron DOT com
// +---------------------------------------------------------------------------+
// | 
// | This program is free software; you can redistribute it and/or
// | modify it under the terms of the GNU General Public License
// | as published by the Free Software Foundation; either version 2
// | of the License, or (at your option) any later version.
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// | 
// | You should have received a copy of the GNU General Public License
// | along with this program; if not, write to the Free Software Foundation,
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// | 
// +---------------------------------------------------------------------------+

global $LANG32;

/**
* the googleanalytics plugin's lang array
*
*/

// Messages for the plugin upgrade
$PLG_googleanalytics_MESSAGE3001 = 'プラグインのアップグレードはサポートされていません。';
$PLG_googleanalytics_MESSAGE3002 = $LANG32[9];


// Localization of the Admin Configuration UI
$LANG_configsections['googleanalytics'] = array(
    'label' => 'GoogleAnalytics',
    'title' => 'GoogleAnalyticsの設定'
);

$LANG_confignames['googleanalytics'] = array(
    'gatrackingid' => 'トラッキングID',
    'gatrackingid_mobile' => '携帯をPCと別計測する携帯用トラッキングID',
    'asynchronous' => '非同期トラッキングを利用する',
    'nomobilebottracking' => '携帯用クローラーを計測しない',
    'mobiletheme' => '携帯用テーマ名',
    'mobilebotua' => '携帯クローラーのUAの文字列'
);

$LANG_configsubgroups['googleanalytics'] = array(
    'sg_main' => 'メイン'
);

$LANG_tab['googleanalytics'] = array(
    'tab_main' => 'GoogleAnalyticsのメイン設定',
    'tab_mobilebotua' => '携帯クローラーのUA文字列の設定'
);

$LANG_fs['googleanalytics'] = array(
    'fs_main' => 'GoogleAnalyticsのメイン設定',
    'fs_mobilebotua' => '携帯クローラーのUA文字列の設定'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['googleanalytics'] = array(
    0 => array('はい' => 1, 'いいえ' => 0),
    1 => array('はい' => TRUE, 'いいえ' => FALSE),
    12 => array('アクセス不可' => 0, '表示' => 2, '表示・編集' => 3)
);

?>